Remove "TypoScript Help"

Description

Extension TypoScript Help brings a build function and display. Remove the backend extension

Associated revisions

Revision fbb369f6 - 2013-05-08 11:42 - Wouter Wolters

["[-FEATURE] Drop ext:tsconfig_help

The extension tsconfig_help provides the "TypoScript Help" backend

module and is used by some wizards.

The help information is based hopelessly outdated data and was

last updated for CMS 4.1. The included update process parses

manual.sxw files and fatals since 6.0 without anyone noticing. The

manual files are not updated in core for quite some time.

After talking with the doc team, we decided to remove the whole

extension without and all using points now. Any core internal

help mechanics should be based on docs.typo3.org. The doc team

already works on a system to provide current information with the

core, and that will not be based on tsconfig_help.

The patch removes the extension, the wizard entry point, the

wizard register in TCA and other usages without further deprecation.
History

#1 - 2013-05-07 20:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20600

#2 - 2013-05-07 22:39 - Christian Kuhn

See comment in gerrit for further analysis on how broken this extension is.

#3 - 2013-05-08 10:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/20600

#4 - 2013-05-08 10:26 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20600

#5 - 2013-05-08 12:30 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fbb369f6a86ad13fa777a6673e064e2fe20acc51.
